package org.apache.bcel.util;

import java.util.HashMap;
import java.util.Map;
import org.apache.bcel.classfile.JavaClass;

public class ClassPathRepository extends AbstractClassPathRepository {
   private final Map<String, JavaClass> loadedClasses = new HashMap();

   public ClassPathRepository(ClassPath classPath) {
      super(classPath);
   }

   public void clear() {
      this.loadedClasses.clear();
   }

   public JavaClass findClass(String className) {
      return (JavaClass)this.loadedClasses.get(className);
   }

   public void removeClass(JavaClass javaClass) {
      this.loadedClasses.remove(javaClass.getClassName());
   }

   public void storeClass(JavaClass javaClass) {
      this.loadedClasses.put(javaClass.getClassName(), javaClass);
      javaClass.setRepository(this);
   }
}
